Search Specific Outbound Routes
Search specific outbound routes from the Outbound Route list.
Request URL
GET {base_url}/{api_path}/outbound_route/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order.
|
| search_value | No | String | Search keyword. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total of the searched outbound routes. |
| last_pos | Integer | The last position in the outbound route list. |
| data | Array<Outroute_Info> | The basic information of the outbound route. |
Outroute_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the outbound route. |
| name | String | The name of the outbound route. |
| dial_pattern | Array<String> | The dial pattern of the outbound route. |
| trunk | Array<Trunk_List> | The information of the selected trunk in the outbound route. |
| pos | Integer | The current position of the outbound route in the list. |
Trunk_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the selected trunk. |
| name | String | The name of the selected trunk. |
Examples
Request example
GET /openapi/v1.0/outbound_route/search?page=1&page_size=20&sort_by=pos&order_by=asc&search_value=shared&access_token=nIAuSgDUim0uZgrNuha8hfzwbvY41NWR HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 1,
"last_pos": 3,
"data": [
{
"id": 11,
"name": "shared-trunk",
"dial_pattern": [
"55033X."
],
"pos": 3
}
]
}